POST /{channelName}/menuStatus/{_id}

Menu Update (Async)

Receive menu update callback status.

Callback URL

or channels enabled with an async flow, a "callback" endpoint is included in the menu payload as below.

Channel partners should POST to this endpoint with a status to confirm success "ONLINE" or in any case where unsuccessful, send "FAILED"

This gives customers full visibility on menu publish events and their success, particularly where bulk operations across multiple locations are actioned. "callback": "https://api.staging.deliverect.com/{channelName}/menuStatus/649ea********b9a98d"

Path Parameters

Parameters Description Type
channelName Represents the case-sensitive Scope provided. string
_id This id shown in the callback url is a unique identifier of the menu publish request string

Body Parameters Fields marked with * are required.

Parameters Description Type
status * status of the menu operation string
comment any comment (optional) string

List of Status Values:

Value Description
ONLINE It signifies that the menu is now successfully published and available to users.
FAILED It indicates that the operation has failed. Partners should include relevant error details or error codes in the request body to assist in troubleshooting.

Response Time

Please ensure that the menu is published successfully within a maximum of 30 minutes. If the process exceeds this time limit, Deliverect will classify the operation as "Failed"

Stores (multiple channel IDs)

Currently we support menu publishing for one store/channelLinkId. In the payload you will find "stores" array where in the future you may receive more channelLinkIds.

```json "stores" "stores": [ "649a**********9ea9" ],


## Synchronous vs Asynchronous

Partners using an asynchronous flow should note the differences with the synchronous flow in the JSON example below, which are summarised as follows;

* **Asynchronous:** Has **`"menus"`** , **`"stores"`** and **`"callback"`** as keys within a **`"body"`**
* **Synchronous:** Shows an array of properties e.g. **`"availabilities"`**, **`"categories"`**, **`"modifierGroups"`** etc.

ℹ️ For an asynchronous flow, all references within **`"menus"`** follow [Menu Update](ref:post-menu-push) documentation

Path parameters

  • channelName string Required
  • _id string Required
application/json

Body

  • channelName string Required
  • _id string Required

Responses

  • 200

    OK

POST /{channelName}/menuStatus/{_id}
curl \
 --request POST 'https://api.staging.deliverect.com/{channelName}/menuStatus/{_id}' \
 --header "Content-Type: application/json" \
 --data '{"status":"ONLINE","comment":"string"}'
Request examples
{
  "status": "ONLINE",
  "comment": "string"
}